org.red5.server.stream

## Interface IFrameDropper

All Known Implementing Classes:
  VideoFrameDropper

    public interface IFrameDropper

Interface for classes that implement logic to drop frames.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`static int` `SEND_ALL` Send keyframes, interframes and disposable interframes.
`static int` `SEND_INTERFRAMES` Send keyframes and interframes.
`static int` `SEND_KEYFRAMES` Send keyframes only.
`static int` `SEND_KEYFRAMES_CHECK` Send keyframes only and switch to SEND_INTERFRAMES later.

### Method Summary

Methods
`boolean` `canSendPacket(RTMPMessage message, long pending)` Checks if a message may be sent to the subscriber.
`void` `dropPacket(RTMPMessage message)` Notify that a packet has been dropped.
`void` `reset()` Reset the frame dropper.
`void` `reset(int state)` Reset the frame dropper to a given state.
`void` `sendPacket(RTMPMessage message)` Notify that a message has been sent.

### Field Detail

#### SEND_ALL

    static final int SEND_ALL

Send keyframes, interframes and disposable interframes.

See Also:
  Constant Field Values

#### SEND_INTERFRAMES

    static final int SEND_INTERFRAMES

Send keyframes and interframes.

See Also:
  Constant Field Values

#### SEND_KEYFRAMES

    static final int SEND_KEYFRAMES

Send keyframes only.

See Also:
  Constant Field Values

#### SEND_KEYFRAMES_CHECK

    static final int SEND_KEYFRAMES_CHECK

Send keyframes only and switch to SEND_INTERFRAMES later.

See Also:
  Constant Field Values

### Method Detail

#### canSendPacket

    boolean canSendPacket(RTMPMessage message,
                        long pending)

Checks if a message may be sent to the subscriber.

Parameters:
  `message` - the message to check
  `pending` - the number of pending messages
Returns:
  `true` if the packet may be sent, otherwise `false`

#### dropPacket

    void dropPacket(RTMPMessage message)

Notify that a packet has been dropped.

Parameters:
  `message` - the message that was dropped

#### sendPacket

    void sendPacket(RTMPMessage message)

Notify that a message has been sent.

Parameters:
  `message` - the message that was sent

#### reset

    void reset()

Reset the frame dropper.

#### reset

    void reset(int state)

Reset the frame dropper to a given state.

Parameters:
  `state` - the state to reset the frame dropper to